package com.keao.edu.user.page;

import com.keao.edu.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class ExamRoomQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "合作单位编号")
    private Integer organId;

    @ApiModelProperty(value = "教室编号")
    private Long examRoomId;

    @ApiModelProperty(value = "考级项目编号")
    private Long examId;

    @ApiModelProperty(value = "考试开始时间")
    private Date StartTime;

    @ApiModelProperty(value = "考试结束时间")
    private Date endTime;

    @ApiModelProperty(value = "考试项目编号")
    private Integer examinationBaseId;

    @ApiModelProperty(value = "考试项目状态")
    private String examStatusEnum;

    @ApiModelProperty(value = "主考官")
    private Integer teacherId;

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Long getExamRoomId() {
        return examRoomId;
    }

    public void setExamRoomId(Long examRoomId) {
        this.examRoomId = examRoomId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Date getStartTime() {
        return StartTime;
    }

    public void setStartTime(Date startTime) {
        StartTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getExaminationBaseId() {
        return examinationBaseId;
    }

    public void setExaminationBaseId(Integer examinationBaseId) {
        this.examinationBaseId = examinationBaseId;
    }

    public String getExamStatusEnum() {
        return examStatusEnum;
    }

    public void setExamStatusEnum(String examStatusEnum) {
        this.examStatusEnum = examStatusEnum;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
